{% extends 'app_base.html.twig' %}

{% block title %}{{ 'manager.cert_list.head.title'|trans }}{% endblock %}

{% block body %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ path('app_home') }}">{{ 'breadcrumb.homepage'|trans }}</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{ 'breadcrumb.certificates'|trans }}</li>
        </ol>
    </nav>

    <h1>{{ 'manager.cert_list.page.title'|trans }}</h1>
    <strong>{{ certificates | length }}</strong> {{ 'manager.cert_list.number_of_certificates'|trans }}

    <table class="table table-hover table-striped ">
        <thead>
            <tr>
                <th>{{ 'manager.cert_list.column.cert'|trans }}</th>
                <th>{{ 'manager.cert_list.column.user'|trans }}</th>
                <th>{{ 'manager.cert_list.column.valid'|trans }}</th>
            </tr>
        </thead>
        <tbody>
        {% for certificate in certificates %}
            <tr id="cert_{{ certificate.serialNumber }}">
                <td>
                    <strong class="cert_serialNumber">{{ certificate.serialNumber }}</strong><br>
                    <a  title="{{ 'manager.cert_list.column.cert.download.link.title'|trans }} {{ certificate.serialNumber }}"
                        class="cert_download-public-key"
                        href="{{ path('app_cert-manager_certificate_download',{'serialNumber': certificate.serialNumber}) }}">
                        {{ 'manager.cert_list.column.cert.download.link'|trans }}</a>
                    <div>
                        <small><small>
                                {% set subjectData = certificate.subject | trim('/') | split('/') %}
                                {% for subjectItem in subjectData %}
                                    {{ subjectItem }}<br>
                                {% endfor %}
                            </small>
                        </small>
                    </div>

                </td>
                <td class="cert_usedBy">  {{ certificate.usedBy.email }} </td>
                <td>
                    <p>
                        {{ 'manager.cert_list.column.valid.from'|trans }} <br>
                        <strong class="cert_validFromDate">
                            {{ certificate.validFrom ? certificate.validFrom|date("Y-m-d") : '' }}
                        </strong><br>
                        <span class="cert_validFromTime">
                            {{ certificate.validFrom ? certificate.validFrom|date("H:i") : '' }}
                        </span>
                    </p>
                    <p>
                        {{ 'manager.cert_list.column.valid.to'|trans }}<br>
                        <span class="cert_validToDate">
                            {{ certificate.validTo   ? certificate.validTo|date("Y-m-d") : '' }}
                        </span>
                    </p>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">
                    {{ 'manager.cert_list.no-records'|trans }}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% include "app_helpers/app_paginator.html.twig" %}
{% endblock %}
